Contenu | Rechercher | Menus

Annonce

Ubuntu 16.04 LTS
Commandez vos DVD et clés USB Ubuntu-fr !

Pour en savoir un peu plus sur l'équipe du forum.

Si vous avez des soucis pour rester connecté, déconnectez-vous puis reconnectez-vous depuis ce lien en cochant la case
Me connecter automatiquement lors de mes prochaines visites.

#1 Le 29/09/2017, à 09:47

Frène

Libre Office Calc corrompu ?

Bonjour à tous.

Après à peine quelques utilisations de Libre Office Calc (version 5.3.2) sur un PC Linux tout neuf (AMD 64, Ubuntu 16.04 LTS), l'application refuse désormais de charger et me renvoie le message d'erreur suivant :

'Le composant ne peut être chargé, l'installation est peut-être corrompue ou incomplète. Message d'erreur complet : loading component library <file:///usr/lib/libreoffice/program/../program/libsclo.so> failed."

Le composant en question est pourtant bien présent (dans le répertoire /usr/lib/libreoffice/program/ directement)...

J'ai lu sur une vieille discussion que ce genre de problèmes pourrait provenir du profil utilisateur /home/difran/.config/libreoffice, sauf qu'il n'y a aucun répertoire de ce type dans mon installation (j'imagine que c'est une question de version) ; de toute façon, le problème est le même dans mes deux sessions (administrateur et utilisateur, j'ai supprimé la session invité).

En essayant de réinstaller le paquet Calc, le micro me signale que le paquet libc6 installé est une ancienne version ; je vais essayer d'installer la nouvelle, mais je ne vois pas trop ce que cela pourrait changer, vu que Calc marchait très bien avant...

Donc si quelqu'un a une idée, je suis preneur.

Merci d'avance !

(NB : Writer marche très bien en revanche, c'est juste Calc qui plante.)

Dernière modification par Frène (Le 29/09/2017, à 09:48)

Hors ligne

#2 Le 29/09/2017, à 14:54

J5012

Re : Libre Office Calc corrompu ?

d'où as-tu installé cette version 5.3.2 ?
la version du depot xenial est la 5.1.6

Hors ligne

#3 Le 29/09/2017, à 14:55

LukePerp

Re : Libre Office Calc corrompu ?

Frène a écrit :

'Le composant ne peut être chargé, l'installation est peut-être corrompue ou incomplète. Message d'erreur complet : loading component library <file:///usr/lib/libreoffice/program/../program/libsclo.so> failed."
)

Bonjour,
Au lieu de partir dans un dépannage hasardeux, je te propose une solution plus simple et efficace : supprimer proprement libreoffice et le réinstaller. Tu conserveras tes préférences des options de libreoffice.

sudo apt-get remove libreoffice -y # supprime libreoffice
sudo apt-get autoclean # nettoie
sudo apt-get autoremove --purge -y # supprime la famille de libreoffice
sudo add-apt-repository ppa:libreoffice/ppa -y # pour installer libreoffice stable
sudo apt-get update
sudo apt-get install libreoffice -y

Desktop : Ubuntu Mate 14.04 - Intel i5 - 8 Go - Dual boot Windows 7 pour jouer
Laptop ASUS : Ubuntu Mate 16.04 - Intel i3 - 4 Go
Laptop de 1993 : Lubuntu 14.04 - Pentium M - 432 Mo
Regardez ces thèmes pour Linux : ici

Hors ligne

#4 Le 29/09/2017, à 15:55

Frène

Re : Libre Office Calc corrompu ?

@ J5012 : je me suis peut-être trompé sur le numéro de la version LO (elle était préinstallée sur mon ordi, je n'ai rien fait de particulier, à part rajouter les police Microsoft).

@ LukePerp : je vais essayer, mais ne serait-il pas plus simple de ne désinstaller que Calc, puisque tout le reste marche très bien ?

(Et du coup, il faudra aussi que je réinstalle les polices MS, non ?)

Hors ligne

#5 Le 30/09/2017, à 10:15

J5012

Re : Libre Office Calc corrompu ?

libre calc n'est pas en lui-meme un logiciel independant ... il depend de libreoffice et de tout un tas de dependances ...
si ta calc est une 5.3.2 ton libreoffice aussi ...

et meme si c'etait deja dans ton ordi , il n'est pas dit que ton predecesseur ne l'ait pas mis à partir d'un ppa surtout si c'etait une migration et non une installation de zero ...

Hors ligne

#6 Le 04/10/2017, à 13:19

Frène

Re : Libre Office Calc corrompu ?

J'ai failli oublié de reposter pour signaler que tout était résolu : simplement en réinstallant la version la plus récente du paquet libc6 (2.23), Calc refonctionne (visiblement, en essayant d'installer mon pilote d'imprimante, j'avais aussi installé la version 2.19 de libc6 - je n'ai pas encore testé l'imprimante, donc je ne sais pas si ça va poser un problème).

Hors ligne